package com.yonge.cooleshow.common.enums.live;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * 直播观看模式
 */
@Getter
public enum ELiveViewMode implements BaseEnum<String, ELiveViewMode> {

    LOGIN("登陆"),
    VISITOR("游客"),
    ;

    private final String describe;

    @EnumValue
    private final String code;

    ELiveViewMode(String describe) {
        this.describe = describe;

        this.code = this.name();
    }

    @Override
    public String getCode() {
        return code;
    }
}
